function lockUnlockSimulinkModelInDM(action)
	postSaveFcn = get_param(gcs, 'PostSaveFcn');
	if strcmp(postSaveFcn, 'saveSimulinkModelToDM(0)') == 0
		if strcmp(action,'lock') == 1
			disp('Model is not connected to DM, can not lock model');
		else
			disp('Model is not connected to DM, can not unlock model');
		end	
		return;
	end
	
	try
		evalin('base', 'createDMConnection');
		dmConn = evalin('base', 'dmConnection');
	catch
		return;
	end	
	
	if isjava(dmConn) == 0
		return;
	end	
	
	mdlName = get_param(gcs,'name');
	
	if	strcmp(action, 'lock') == 1
		if dmConn.lockSimulinkModel(mdlName) == 1
			msg = sprintf('Succeeded locking model %s on DM...', mdlName); 
		else
			msg = sprintf('Failed locking model %s on DM...', mdlName); 
		end	
		disp(msg);	
	elseif strcmp(action, 'unlock') == 1
		if dmConn.unlockSimulinkModel(mdlName) == 1
			msg = sprintf('Succeeded unlocking model %s on DM...', mdlName); 
		else
			msg = sprintf('Failed unlocking model %s on DM...', mdlName); 
		end	
		disp(msg);	
	end
end