function downloadSimMdlFromDM(dmConnection)
	if isjava(dmConnection) == 0
		fprintf('ERROR: java object (dmConnection) allocation failed\n');
	else
		downloadedSimMdl = char(dmConnection.downloadSimulinkModel());
		if isempty(downloadedSimMdl) == 0
			open_system(downloadedSimMdl);
		end
	end	
end

function startCommunicationServer()
		
	rdmMatlabServer = javaObject('com.ibm.rational.rdm.simulinkintegration.download.MatlabServer');
	if isjava(rdmMatlabServer) == 0
		fprintf('ERROR: java object (matlabServer) allocation failed\n');
		return
	else	
		if rdmMatlabServer.initializeServer() == 0
			disp('failed to initilialize matlabServer');
			return
		end	
	end
	
	while true
		rdmRequest = rdmMatlabServer.receiveRequest();
		if (length(rdmRequest) <= 0)
			break
		elseif strcmp(rdmRequest,'rdmMatlabQuit') == 1
			disp('finalizeServer');
			rdmMatlabServer.finalizeServer();
			break
		elseif rdmRequest.endsWith(';')
			try
				disp(rdmRequest);
				eval(rdmRequest);
            catch
				disp('    => eval error!')
			end
		end
	end

end	