function openSimMdlFromDM()
	
	try
		evalin('base', 'createDMConnection');
		dmConn = evalin('base', 'dmConnection');
	catch
		return;
	end	
	
	if isjava(dmConn) == 0
		fprintf('ERROR: java object (DMConnection) allocation failed\n');
	else
		downloadedSimMdl = char(dmConn.downloadSimulinkModel());
		if isempty(downloadedSimMdl) == 0
			disp('Opening model...');
			load_system(downloadedSimMdl);
			set_param(gcs,'PostLoadFcn','postOpenFromDMActions()');
			save_system(gcs);
			close_system(gcs);
			open_system(downloadedSimMdl);
			disp('Opening model done.');
		else
			disp('Failed to get model from DM');
		end
	end		
end

