function unlockSimulinkModelInDM()
	postSaveFcn = get_param(gcs, 'PostSaveFcn');
	if strcmp(postSaveFcn, 'saveSimulinkModelToDM(0)') == 0
		disp('Model is not connected to DM, can not unlock model');
		return;
	end
	
	try
		evalin('base', 'createDMConnection');
		dmConn = evalin('base', 'dmConnection');
	catch
		return;
	end	
	
	if isjava(dmConn) == 0
		return;
	end	
	
	simMdlName = get_param(gcs,'name');
	if dmConn.isSimulinkModelLocked(simMdlName) == 0
		disp('Model already unlocked');
		return;
	end	
	
	action = char(dmConn.openUnlockingModelDialog());
	if isempty(action) == 0
		if strcmp(action, 'SaveUnlock') == 1
			saveSimulinkModelToDM(0);
		end
		if dmConn.unlockSimulinkModel(simMdlName) == 1
			msg = sprintf('Succeeded unlocking model %s on DM...', simMdlName); 
		else
			msg = sprintf('Failed unlocking model %s on DM...', simMdlName); 
		end	
		disp(msg);
	end
end